import math
import rospy
from clover import srv
from std_srvs.srv import Trigger

rospy.init_node('flight')

get_telemetry = rospy.ServiceProxy('get_telemetry', srv.GetTelemetry)
navigate = rospy.ServiceProxy('navigate', srv.Navigate)
navigate_global = rospy.ServiceProxy('navigate_global', srv.NavigateGlobal)
set_position = rospy.ServiceProxy('set_position', srv.SetPosition)
set_velocity = rospy.ServiceProxy('set_velocity', srv.SetVelocity)
set_attitude = rospy.ServiceProxy('set_attitude', srv.SetAttitude)
set_rates = rospy.ServiceProxy('set_rates', srv.SetRates)
land = rospy.ServiceProxy('land', Trigger)


navigate(x=0, y=0, z=1.5, speed=0.5, frame_id='body', auto_arm=True)
rospy.sleep(5)
start = get_telemetry()

c=5
t=1
while t<math.pi*2.4:
	t+=0.5
	x=start.x + (c* math. sqrt(2) * math.cos(t))/(1+math.sin(t)**2)
	y=start.y + (c* math. sqrt(2) * math.cos(t)*math.sin(t))/(1+math.sin(t)**2)
	set_position(x=x,y=y,z=start.z,yaw=start.yaw)
	rospy.sleep(1)

land()